Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.lemma.processor.xhtml
Class JavadocCitationProcessor

    java.lang.Object
      org.teleal.lemma.processor.AbstractProcessor<IN,OUT>
          org.teleal.lemma.processor.AbstractJavadocProcessor<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>
              org.teleal.lemma.processor.xhtml.JavadocCitationProcessor

All Implemented Interfaces:
  Processor<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>

    public class JavadocCitationProcessor

extends AbstractJavadocProcessor<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>

Recursively processes citation anchors in XHTML documents and fragments.

Starts processing with an XHTML document object model as input, each citation anchor in this DOM will be processed and the result (another DOM) will be recursively processed until no more citaton anchors are found. Finally, all citation anchors will be replaced with their respective result DOM.

Author:
  Christian Bauer

Field Summary

Fields inherited from class org.teleal.lemma.processor.AbstractProcessor
`READER_SUFFIX_MAP`

Constructor Summary
`JavadocCitationProcessor(com.sun.javadoc.RootDoc rootDoc)`

Method Summary
`org.teleal.common.xhtml.XHTML` | `process(org.teleal.common.xhtml.XHTML input, Context context)`
`protected org.teleal.common.xhtml.XHTML` | `processCitations(Context context, org.teleal.common.xhtml.XHTML input, Stack<CitationAnchor> stack)`

Methods inherited from class org.teleal.lemma.processor.AbstractJavadocProcessor
`getRootDoc`

Methods inherited from class org.teleal.lemma.processor.AbstractProcessor
`findCitationAnchors, findCitationAnchors, getParser, getReader, getXPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocCitationProcessor

    public JavadocCitationProcessor(com.sun.javadoc.RootDoc rootDoc)

Method Detail

### process

    public org.teleal.common.xhtml.XHTML process(org.teleal.common.xhtml.XHTML input,
                                                 Context context)

### processCitations

    protected org.teleal.common.xhtml.XHTML processCitations(Context context,
                                                             org.teleal.common.xhtml.XHTML input,
                                                             Stack<CitationAnchor> stack)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.